|

Retrieve a user

get/users/{fp_id}
External ID
View basic details for a user. See the APIs under the User vault section for information on reading vault data.

Request

Path parameters

fp_id·

string

Response

Basic information about a user
external_id·

optional string

id·

string

requires_additional_info·

optional object

When non-null, there is additional info pending collection from this user. In this case, you may create a token for this user with the inherit operation. This token can be used to collect any outstanding information.

note·

optional string

The human-readable note you provided in the dashboard when requesting additional info. You may choose to render this message in your own application.

timestamp·

string

The timestamp at which the additional info was requested.
requires_manual_review·

boolean

status·

string

Allowed values:

pass
fail
incomplete
pending
none
statuses·

optional array of objects

Statuses set for this user
kind·

string

The slug of the status.
updated_at·

string

value·

optional string

The value of the kind of status.
GET /users/{fp_id}
1curl https://api.onefootprint.com/users/{fp_id} \
2  -u sk_test_xxxxx:
Response example
{
  "external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
  "id": "fp_id_7p793EF07xKXHqAeg5VGPj",
  "requires_additional_info": {
    "note": "Lorem ipsum dolor",
    "timestamp": "2022-01-04T12:00-07:00"
  },
  "requires_manual_review": true,
  "status": "pass",
  "statuses": [
    {
      "kind": "Lorem ipsum dolor",
      "updated_at": "2022-01-04T12:00-07:00",
      "value": "Lorem ipsum dolor"
    },
    {
      "kind": "Lorem ipsum dolor",
      "updated_at": "2022-01-04T12:00-07:00",
      "value": "Lorem ipsum dolor"
    }
  ]
}